package router

import (
	"github.com/gin-gonic/gin"
	jwt "github.com/go-admin-team/go-admin-core/sdk/pkg/jwtauth"

	"go-admin/app/admin/apis"
	"go-admin/app/admin/fronted"
	"go-admin/common/actions"
	"go-admin/common/middleware"
)

func init() {
	routerCheckRole = append(routerCheckRole, registerMemberRenwaLogRouter)
	routerFrontedCheckRole = append(routerFrontedCheckRole, registerMemberRenwaLogFrontedRouter)
}

// registerMemberRenwaLogRouter
func registerMemberRenwaLogRouter(v1 *gin.RouterGroup, authMiddleware *jwt.GinJWTMiddleware) {
	api := apis.MemberRenwaLog{}
	r := v1.Group("/member-renwa-log").Use(authMiddleware.MiddlewareFunc()).Use(middleware.AuthCheckRole())
	{
		r.GET("", actions.PermissionAction(), api.GetPage)
		r.GET("/:id", actions.PermissionAction(), api.Get)
		r.POST("", api.Insert)
		r.PUT("/:id", actions.PermissionAction(), api.Update)
		r.DELETE("", api.Delete)
	}
}

func registerMemberRenwaLogFrontedRouter(v1 *gin.RouterGroup) {
	api := fronted.MemberRenwalLog{}

	f := v1.Group("/member-renwal", middleware.FrontedAuth)
	{
		f.GET("/list", api.GetPage)
		f.POST("/apply", api.Apply)
	}
}
